Get a webhook
GET
/projects/{projectId}/webhooks/{webhookId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
webhookId
string
required
path
Responses
200
Webhook details
application/jsondata
object
id
string
url
string (uri)
events
string[]
Array of:
secret
string
Only returned on creation
status
string
Enum:
active, disabledfailure_count
integer
last_triggered_at
string (date-time) | null
created_at
string (date-time)
404
Not found
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/webhooks/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', headers=headers)print(response.json())
200
Response
{ "data": { "id": "<string>", "url": "<uri>", "events": [ "<string>" ], "secret": "<string>", "status": "active", "failure_count": 123, "last_triggered_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
GET
/projects/{projectId}/webhooks/{webhookId}